Anonymize User

Use this endpoint to anonymize a user by the user's ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/services/v2/users/gdpr/[user-id]/anonymizeusercontent.json

- URL Params
The user ID is already a path param. This will include the passing of the user ID for the user the content will anonymize to.

- Data Params
No data params

🚧

For Permissions, Additional Requirements and More Detailed Information:

Reference the GDPR Plugin Docs in the Non-Reference portion of the documentation.

Sample Requests

A POST Anonymize User request to anonymize a user called usertoanonymizetwo (userId=121) sent to https://apidocs.cloud.answerhub.com using a human-readable Username/Password (answerhub/test123) would look like this:

curl 
-x POST 
–u answerhub:test123 
-H “Accept:application/json” 
-H "Content-Type:application/json"
“https://apidocs.cloud.answerhub.com/services/v2/users/gdpr/121/anonymizeusercontent.json”

This request below uses the query param anonTo=<user_id_to_transfer_anonymized_user_content>
userId 122 is anon3user
userId 114 is usertocatchanon3data

curl 
-x POST 
–u answerhub:test123 
-H “Accept:application/json” 
-H "Content-Type:application/json"
“https://apidocs.cloud.answerhub.com/services/v2/users/gdpr/122/anonymizeusercontent.json?anonTo=114”

Expected Responses

- Success and Error Responses: the format is <status or error code> / {message example}

  • 200 / {"message":"<execution id>"}
  • 400 / {"error" : "<The provided user id could not be parsed>"}
  • 422 / {"error" : "<Invalid user ID>"}

Sample Responses

Successful Response for the POST Anonymize User Request:

  • HTTP Status 200 - OK
{
    "message": "1315"
}

Successful Response for the POST Anonymize User Request with Query Param anonTo=114:

  • HTTP Status 200 - OK
{
    "message": "1320"
}

Anywhere usertocatchanon3 (114) shows up is the data that used to belong to anon3user (122)

Seeing the status of the Anonymization Process

If you want to see the status of the anonymization process from the admin dashboard, hit the SUBMIT button a second time.

If you are using the REST API client, and you want to see the status of the anonymization process:

use: users/gdpr/execution/{execution-id}/status.json
make sure the authorization type is basic auth
See Overview of GDPR Plugin to review other permissions and requirements

Path Params
int32
required
Defaults to 122
Query Params
int32
Defaults to 114
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json